Bug 1051799 - [ HTTP/1.1 500 Internal Server Error ] MONGODB="openshift_broker"
Summary: [ HTTP/1.1 500 Internal Server Error ] MONGODB="openshift_broker"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 2.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Julie
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-11 16:59 UTC by Frederic Hornain
Modified: 2017-03-08 17:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-21 06:47:49 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Frederic Hornain 2014-01-11 16:59:52 UTC
Description of problem:
Well, I followed the Openshift 2.0 Deployment guide  and had the following error :

[root@broker broker]# curl -Ik https://localhost/broker/rest/api
HTTP/1.1 500 Internal Server Error
Date: Sat, 11 Jan 2014 16:35:23 GMT
Server: Apache/2.2.15 (Red Hat)
Content-Type: text/html; charset=utf-8
Connection: close


I found the reason why I had this one.

Indeed one line should be highlighted in the documentation cause that one should be changed as well. 

5.7.7. Configuring the Broker Datastore

Example 5.1. Example MongoDB configuration in /etc/openshift/broker.conf

MONGO_USER="openshift"
MONGO_PASSWORD="password"
MONGO_DB="openshift_broker" <- ***instead of MONGO_DB="openshift_broker_dev" by default ***

Here only `MONGO_PASSWORD="password"` is highlighted despite the fact if you follow the documentation MONGO_DB="openshift_broker" should also be highlighted to avoid problem like the one I had.

BR
/f

Comment 2 Julie 2014-02-20 06:38:43 UTC
(In reply to Frederic Hornain from comment #0)
> Description of problem:
> Well, I followed the Openshift 2.0 Deployment guide  and had the following
> error :
> 
> [root@broker broker]# curl -Ik https://localhost/broker/rest/api
> HTTP/1.1 500 Internal Server Error
> Date: Sat, 11 Jan 2014 16:35:23 GMT
> Server: Apache/2.2.15 (Red Hat)
> Content-Type: text/html; charset=utf-8
> Connection: close
> 
> 
> I found the reason why I had this one.
> 
> Indeed one line should be highlighted in the documentation cause that one
> should be changed as well. 
> 
> 5.7.7. Configuring the Broker Datastore
> 
> Example 5.1. Example MongoDB configuration in /etc/openshift/broker.conf
> 
> MONGO_USER="openshift"
> MONGO_PASSWORD="password"
> MONGO_DB="openshift_broker" <- ***instead of MONGO_DB="openshift_broker_dev"
> by default ***
> 
> Here only `MONGO_PASSWORD="password"` is highlighted despite the fact if you
> follow the documentation MONGO_DB="openshift_broker" should also be
> highlighted to avoid problem like the one I had.
> 
> BR
> /f
hi Frederic,
    Thanks for reporting this bug. This issue has been addressed to with your help. The documentation on access.redhat.com will be updated in the next release. Thanks again. 

Kind regards,
Julie


Note You need to log in before you can comment on or make changes to this bug.